Bug 719137 - Dell laptop may freeze while pressing keys to adjust backlight
Dell laptop may freeze while pressing keys to adjust backlight
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
15
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-05 16:45 EDT by Jose Alonso
Modified: 2012-07-11 13:48 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-11 13:48:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose Alonso 2011-07-05 16:45:25 EDT
Description of problem:
Pressing the keys to adjust the brightness of a dell laptop sometimes
freeze de machine, specially if you keep the key pressed.
Dell Inspiron R15 N5010 (i5)

Version-Release number of selected component (if applicable):
last fedora 15

How reproducible:
I think the problem is with the kernel module dell-laptop.

The following script freezes the machine:

for (( i=1 ; i <= 100; i++))
do
    echo 3 >/sys/devices/virtual/backlight/acpi_video0/brightness
done

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Josh Boyer 2011-10-20 21:18:11 EDT
Are you still seeing this with the 2.6.40.x kernel updates in F15?
Comment 2 Jose Alonso 2011-10-21 10:35:50 EDT
Yes with kernels 2.6.40.x (F15) and also development kernels v3.0 v3.1-rc.
I also report these problem with more details in:
https://bugzilla.kernel.org/show_bug.cgi?id=41042
but the site is down.
Comment 3 Josh Boyer 2012-06-06 11:48:39 EDT
Is this still happening with 2.6.43/3.3?
Comment 4 Josh Boyer 2012-07-11 13:48:55 EDT
Fedora 15 has reached it's end of life as of June 26, 2012.  As a result, we will not be fixing any remaining bugs found in Fedora 15.

In the event that you have upgraded to a newer release and the bug you reported is still present, please reopen the bug and set the version field to the newest release you have encountered the issue with.  Before doing so, please ensure you are testing the latest kernel update in that release and attach any new and relevant information you may have gathered.

Thank you for taking the time to file a report.  We hope newer versions of Fedora suit your needs.

Note You need to log in before you can comment on or make changes to this bug.